beef-xss (0.6.0.0-0kali6) kali-dev; urgency=medium

  * Fix tests

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 27 Apr 2026 15:45:22 +0200

beef-xss (0.6.0.0-0kali5) kali-dev; urgency=medium

  * Revert "Allow default credentials"

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 20 Apr 2026 17:25:10 +0200

beef-xss (0.6.0.0-0kali4) kali-dev; urgency=medium

  * Allow default credentials

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 20 Apr 2026 16:41:11 +0200

beef-xss (0.6.0.0-0kali3) kali-dev; urgency=medium

  * Use kali-service scripts to start/stop beef-xss
  * wrap-and-sort -ast

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 16 Apr 2026 10:38:10 +0200

beef-xss (0.6.0.0-0kali2) kali-dev; urgency=medium

  * Refresh patches
  * Update debian/watch to version 5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 04 Mar 2026 10:15:40 +0100

beef-xss (0.6.0.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)
  * Set Architectures to any (armel is gone)

  [ Sophie Brun ]
  * Change my email
  * New upstream version 0.6.0.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 30 Oct 2025 16:22:08 +0100

beef-xss (0.5.4.0+git20250422-0kali1) kali-dev; urgency=medium

  * New upstream version 0.5.4.0+git20250422
  * Refresh patches
  * Remove obsolete XS-Ruby-Versions
  * Use bundle in a vendor dir
  * Add a patch to adapt for recent node version
  * Add missing dep nodejs

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Apr 2025 14:22:11 +0200

beef-xss (0.5.4.0+git20220823-0kali3) kali-dev; urgency=medium

  * Bump debhelper compat to 13

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 12 Sep 2024 20:09:16 +0700

beef-xss (0.5.4.0+git20220823-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable building on armel

  [ Arnaud Rebillout ]
  * Drop ruby-rubydns dependency
  * Update source/lintian-overrides
  * Add dependency on ruby:any
  * More lintian overrides
  * Drop obsolete contraint and Breaks

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 10 Aug 2023 16:47:39 +0700

beef-xss (0.5.4.0+git20220823-0kali1) kali-dev; urgency=medium

  * New upstream version 0.5.4.0+git20220823
  * Update debian/copyright
  * Refresh patches
  * Revert "Force Ruby version to 2.7": we want to drop ruby2.7, and upstream
    now uses Ruby 3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Aug 2022 18:21:54 +0200

beef-xss (0.5.4.0-0kali6) kali-dev; urgency=medium

  * Remove armel from supported arch (because of nodejs)
  * Replace ruby-uglifier with ruby-terser

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Jun 2022 15:34:22 +0200

beef-xss (0.5.4.0-0kali5) kali-dev; urgency=medium

  * Change to arch any

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 24 Mar 2022 15:47:46 +0100

beef-xss (0.5.4.0-0kali4) kali-dev; urgency=medium

  * Force usage of Ruby 2.7
    Beef is not ready for Ruby 3.0 yet.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 24 Mar 2022 15:18:47 +0100

beef-xss (0.5.4.0-0kali3) kali-dev; urgency=medium

  * Rebuild for Ruby 3.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Mar 2022 14:11:24 +0100

beef-xss (0.5.4.0-0kali2) kali-dev; urgency=medium

  * Improve the rights of config files (see
    https://github.com/beefproject/beef/issues/2246)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 29 Dec 2021 13:44:12 +0100

beef-xss (0.5.4.0-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Consistency with tabs to spaces

  [ Sophie Brun ]
  * New upstream version 0.5.4.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Nov 2021 08:49:38 +0100

beef-xss (0.5.3.0-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Remove python

  [ Sophie Brun ]
  * Remove useless bundler usage in debian/rules
  * Update packaging to use gem2deb
  * Add a link to use Debian geoipupdate script instead of beef update-geoipdb
  * Bump Standards-Version to 4.6.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Nov 2021 11:18:57 +0100

beef-xss (0.5.3.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * debian/control: Add Vcs-Browser field
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Ben Wilson ]
  * Fix email address

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 0.5.3.0
  * Refresh patches
  * Update debian/copyright
  * Revert workaround for missing ruby gems
  * Add missing depend: ruby-async-dns
  * Add a patch to disable update
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 11 Oct 2021 15:36:50 +0200

beef-xss (0.5.0.0+git20191218-0kali2) kali-dev; urgency=medium

  * Add versioned Ruby in Depends because we use bundler
  * Update debian files for Ruby 2.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Apr 2020 17:55:44 +0200

beef-xss (0.5.0.0+git20191218-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 0.5.0.0+git20191218
  * Update build-deps and deps for new version
  * Refresh patches
  * Add a patch to fix the version in code
  * Add debian/source/lintian-overrides
  * Add patch to add missing require
  * Bundle activerecord gem in beef to have a compatible version
  * Add beef-xss.lintian-overrides for bundle gems
  * Update postinst to switch to activerecord

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Dec 2019 15:18:42 +0100

beef-xss (0.4.7.3-0kali2) kali-dev; urgency=medium

  * Ask for a new password if config is still Default password (see 5441)
    instead of displaying an error message.

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 May 2019 16:26:52 +0200

beef-xss (0.4.7.3-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com

  [ Sophie Brun ]
  * New upstream version 0.4.7.3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 May 2019 16:19:46 +0200

beef-xss (0.4.7.1-0kali2) kali-dev; urgency=medium

  * Fix beef-xss.service (see 5311)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Mar 2019 16:13:39 +0100

beef-xss (0.4.7.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.4.7.1
  * Update debian/copyright
  * Remove old debian/beef-xss-bundle*
  * Update dependencies
  * wrap-and-sort
  * Refresh patches and remove obsolete patches
  * Add a patch to get a more explicit message about the
    default credentials use
  * Update Kali script to test Default credentials
  * Update Maintainer and Uploaders fields
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.3.0
  * Replace .init with .service file
  * Use Debian package geoipupdate to manage GeoIP db
  * Add a README.Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Mar 2019 11:27:39 +0100

beef-xss (0.4.7.0-0kali7) kali-dev; urgency=medium

  * Add missing dependency for Ruby 2.5: ruby-xmlrpc
  * Update minimal required version of therubyracer for Ruby2.5

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Mar 2018 15:20:04 +0100

beef-xss (0.4.7.0-0kali6) kali-dev; urgency=medium

  * Show more output when stopping

 -- Ben Wilson <g0tmi1k@kali.org>  Fri, 02 Mar 2018 12:12:16 +0000

beef-xss (0.4.7.0-0kali5) kali-dev; urgency=medium

  * More verbose output & add beef-xss-stop

 -- Ben Wilson <g0tmi1k@kali.org>  Fri, 02 Mar 2018 11:05:47 +0000

beef-xss (0.4.7.0-0kali4) kali-dev; urgency=medium

  * Add a patch to fix the version inside the code (now version in code
    matched with package version): see bug 3535

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Dec 2016 15:36:49 +0100

beef-xss (0.4.7.0-0kali3) kali-dev; urgency=medium

  * Add a patch to disable dns extension in config.yaml as beef-xss needs
    an older version of ruby-rubydns than the one in kali.
    See https://github.com/beefproject/beef/issues/1253

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Jun 2016 10:17:09 +0200

beef-xss (0.4.7.0-0kali2) kali-dev; urgency=medium

  * Ensure LANG=C.UTF-8 when we run beef-xss. See
    https://github.com/beefproject/beef/issues/1207

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 04 Feb 2016 09:21:11 +0100

beef-xss (0.4.7.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 04 Jan 2016 10:17:05 +0100

beef-xss (0.4.6.1-0kali2) kali-dev; urgency=medium

  * Improve the startup script.

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 28 Jul 2015 23:42:34 +0200

beef-xss (0.4.6.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add ruby-mime-types to depends and build-depends
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Jul 2015 08:53:48 +0200

beef-xss (0.4.5.1+git20150624-0kali1~r2u1) sana; urgency=medium

  * Import new upstream release
  * Refresh patches
  * Update dependencies: add ruby-geoip, ruby-rubydns, rubyqr4r,
    ruby-dm-serializer

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Jun 2015 15:33:02 +0200

beef-xss (0.4.4.9-0kali10) kali-dev; urgency=medium

  * Disable dependency check, make it informative only (as ruby-twitter).

 -- Raphaël Hertzog <buxy@kali.org>  Sat, 09 Aug 2014 15:30:52 +0200

beef-xss (0.4.4.9-0kali9) kali-dev; urgency=medium

  * Replace dependency ruby-rubyzip (kali-specific) with ruby-zip
    (in Debian Jessie).

 -- Raphaël Hertzog <buxy@kali.org>  Sat, 09 Aug 2014 12:01:21 +0200

beef-xss (0.4.4.9-0kali8) kali; urgency=medium

  * Disable bundler and add corresponding ruby* dependencies and build
    dependencies
  * drop minimal version on build dependencies ruby-rack
  * Add in core/loader.rb the required gems

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Jun 2014 15:16:30 +0200

beef-xss (0.4.4.9-0kali7) kali; urgency=medium

  * Update debian/beef-xss.install accordingly...

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 06 May 2014 09:54:27 +0200

beef-xss (0.4.4.9-0kali6) kali; urgency=medium

  * Fix brown paper bug. Use debian/scripts/beef-xss instead of
    debian/beef-xss as the latter needs to be free for use as a
    temporary directory by debhelper.

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 06 May 2014 09:28:30 +0200

beef-xss (0.4.4.9-0kali5) kali; urgency=medium

  * Install /usr/bin/beef-xss instead of /usr/bin/beef already owned
    by the "beef" package (FS #1136).
  * Add "Breaks: kali-menu (<< 1.369)" so that we ensure that kali-menu
    gets upgraded in lockstep.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 05 May 2014 18:29:05 +0200

beef-xss (0.4.4.9-0kali4) kali; urgency=medium

  * Reset permissions in postinst configure so that a re-install
    from config-files get proper permissions.
  * Switch beef-xss to arch: any to avoid dependency problems
    on arm* architectures where beef-xss-bundle currently doesn't build.

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 04 Apr 2014 16:28:34 +0200

beef-xss (0.4.4.9-0kali3) kali; urgency=low

  * Added Python as a missing build dependency

 -- Mati Aharoni <muts@kali.org>  Thu, 27 Feb 2014 08:38:11 -0500

beef-xss (0.4.4.9-0kali2) kali; urgency=low

  * Fix permissions issue with minified js directory

 -- Mati Aharoni <muts@kali.org>  Thu, 27 Feb 2014 01:19:45 -0500

beef-xss (0.4.4.9-0kali1) kali; urgency=low

  * Upstream import
  * Introduction of the "beef" helper script

 -- Mati Aharoni <muts@kali.org>  Wed, 26 Feb 2014 12:42:27 -0500

beef-xss (0.4.4.5-0kali1) kali; urgency=low

  * New upstream release.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 10 Jun 2013 15:33:01 +0200

beef-xss (0.4.4.1-0kali3) kali; urgency=low

  * Fix build when building only the arch-any packages.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 18 Feb 2013 17:02:01 +0100

beef-xss (0.4.4.1-0kali2) kali; urgency=low

  * Add missing ruby-dev build dependency.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 18 Feb 2013 16:06:37 +0100

beef-xss (0.4.4.1-0kali1) kali; urgency=low

  * Initial release.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 18 Feb 2013 15:43:47 +0100
